Topics in this article include:


Operating System Support

Browser Support

Players and Plugins


Operating System Support

myLesley (Blackboard) has been tested and is supported on the following operating systems:

  • Windows 8, Windows 10
  • Mac OS 10.8, Mac OS 10.9, Mac OS 10.10
Please note that at this time, Mac OS 10.11 (el Capitan) is not supported.


Browser Support

In order to use myLesley (Blackboard), you will need a current, updated browser. Run the browser checker to see whether Blackboard Learn supports your browser and operating system. For more information on supported browsers, please see Browser Support.

While Blackboard supports many different browsers and operating systems, we have noticed that Firefox tends to be most compatible with all of the features in myLesley. Therefore, we strongly recommend accessing myLesley using the latest version of Firefox, which may be downloaded here: Firefox Download.


Players and Plugins

In addition to a compatible browser, you will also need the updated versions of the following players and plugins:

Adobe Flash Player
Adobe Flash Player will allow you to view animated and interactive content on the web, including Kaltura Media and VoiceThread.
Click here to download the free player

Quicktime Player
The Quicktime Player will allow you to listen to audio and view video on the web, including embedded audio and video content in myLesley.
Click here to download the free player

Java
Java is required for several programs, including Collaborate and the Voice Tools.
Click here to download the free plugin


Adobe Acrobat Reader Plugin
The Adobe Reader Plugin will allow you to download and read PDFs.
Click here to download the free plugin